-------------------------------------------------------------------------------
--                L  O  C  A  L     V  A  R  I  A  B  L  E  S
-------------------------------------------------------------------------------

local addonName, L = ...;

--
-- English is the default and fall-back locale and therefore the current
-- locale is not tested in this file. This file should appear before any
-- other locale files in the toc file.
--
L["UiEnhancementsText"]           = "UI Enhancements";
L["UiEnhancementsSubText"]        =
  "These options control which enhancements to the standard UI are enabled.";
L["UiSearchFilterText"]           = "Search & Filtering";
L["UiSearchFilterSubText"]        =
  "These options control which search and filtering enhancements are enabled";
L["UiAutoLootText"]               = "Auto Loot";
L["UiAutoLootSubText"]            =
  "These options control which items will be automatically looted.";
L["UiAchievementProgress"]        = "Achievement Progress";
L["UiAchievementProgressTooltip"] =
  "If enabled, right-clicking on an achievement or clicking on its title " ..
  "will display your progress in the Achievements panel.";
L["UiAchievementSearch"]          = "Achievement Search";
L["UiAchievementSearchTooltip"]   =
  "If enabled, searching will be added to the Achievements panel.";
L["UiBuffCaster"]                 = "Buff Caster";
L["UiBuffCasterTooltip"]          =
  "If enabled, the tooltip for a buff will indicate who cast the buff.";
L["UiChatClassColor"]             = "Chat Class Color";
L["UiChatClassColorTooltip"]      =
  "If enabled, buttons will be added to the Chat 'General Config' " ..
  "panel to toggle all class color checkboxes.";
L["UiEMIgnoreToggle"]             = "EM Ignore Toggle";
L["UiEMIgnoreToggleTooltip"]      =
  "If enabled, ALT left-clicking on an inventory slot, while the Equipment "..
  "Manager is open, will toggle the ignoring of that slot.";
L["UiEMSetSpec"]                  = "EM Set Specialization";
L["UiEMSetSpecTooltip"]           =
  "If enabled, Equipment Manager sets can be associated with a specialization.";
L["UiFirstLastPage"]              = "First/Last Page";
L["UiFirstLastPageTooltip"]       =
  "If enabled, right-clicking on many buttons used to change pages "..
  "will change to the first/last page.";
L["UiFlightList"]                 = "Flight Destinations";
L["UiFlightListTooltip"]          =
  "If enabled, a searchable list of flight destinations can be toggled "..
  "when at a flight master.";
L["UiGuildInviteAll"]             = "Guild Invite All";
L["UiGuildInviteAllTooltip"]   =
  "If enabled, an 'Invite All' button will be added to the Guild "..
  "Requests panel.";
L["UiGuildRosterFilter"]          = "Guild Roster Filter";
L["UiGuildRosterFilterTooltip"]   =
  "If enabled, filtering will be added to the Guild Roster";
L["UiLowLevelItems"]              = "Low Level Items";
L["UiLowLevelItemsTooltip"]       =
  "If enabled, an indicator will be displayed in the Character panel on any "..
  "low level items that are equipped";
L["UiMailFont"]                   = "Mail Font";
L["UiMailFontTooltip"]            =
  "If enabled, a more readable font will be used for the body of mail "..
  "messages.";
L["UiMapLocation"]                = "Map Location";
L["UiMapLocationTooltip"]         =
  "If enabled, the cursor's map location will be displayed in the title bar "..
  "of the World Map.";
L["UiMerchantBuyMax"]             = "Merchant Buy Maximum";
L["UiMerchantBuyMaxTooltip"]      =
  "If enabled, a button for buying the maximum amount allowed (usually a "..
  "stack) will be added to the Merchant Shift-Click popup.";
L["UiMerchantItemKnown"]          = "Merchant Item Known";
L["UiMerchantItemKnownTooltip"]   =
  "If enabled, any items being sold by a merchant that you already know "..
  "will be marked with a cross.";
L["UiMerchantSearch"]             = "Merchant Search";
L["UiMerchantSearchTooltip"]      =
  "If enabled, searching will be added to the Merchant's panel.";
L["UiMiniMapZoom"]                = "MiniMap Zoom";
L["UiMiniMapZoomTooltip"]         =
  "If enabled, right-clicking on the zoom buttons on the MiniMap will "..
  "zoom to the maximum/minimum.";
L["UiCompanionsFiltered"]         = "Companions Filtered";
L["UiCompanionsFilteredTooltip"]  =
  "If enabled, a filtered bar will be added to the Mount & Pet Journals "..
  "when filtering is in effect.";
L["UiItemDelete"]                 = "Quick Item Delete";
L["UiItemDeleteTooltip"]          =
  "If enabled, ALT right-clicking on an item in the inventory will prompt "..
  "for deletion of that item.";
L["UiPetBandage"]                 = "Pet Bandage";
L["UiPetBandageTooltip"]          =
  "If enabled, a button will be added to the Pet Journal to allow easy "..
  "access to Battle Pet Bandages.";
L["UiPetJournalTooltip"]          = "Pet Journal Tooltip";
L["UiPetJournalTooltipTooltip"]   =
  "If enabled, hovering over a button in the Pet Journal list will display "..
  "a tooltip for the pet.";
L["UiPetsOwned"]                  = "Pets Owned";
L["UiPetsOwnedTooltip"]           =
  "If enabled, most tooltips for pets will replace 'Collected' with 'Owned' "..
  "details, including level and quality.";
L["UiPetSafariHat"]               = "Pet Safari Hat";
L["UiPetSafariHatTooltip"]        =
  "If enabled, a button will be added to the Pet Journal to allow easy "..
  "access to Pet Safari Hat.";
L["UiQuestRewards"]               = "Quest Rewards";
L["UiQuestRewardsTooltip"]        =
  "If enabled, the most valuable quest rewards will be indicated in the "..
  "Quest Details panel.";
L["UiAutoLootArch"]               = "Archaeology";
L["UiAutoLootArchTooltip"]        =
  "If enabled, Archaeology fragments and keystones will be automatically "..
  "looted.";
L["UiAutoLootCurrency"]           = "Currency";
L["UiAutoLootCurrencyTooltip"]    =
  "If enabled, currency will be automatically looted.";
L["UiAutoLootFish"]               = "Fishing";
L["UiAutoLootFishTooltip"]        =
  "If enabled, anything fished up will be automatically looted.";
L["UiAutoLootMoney"]              = "Money";
L["UiAutoLootMoneyTooltip"]       =
  "If enabled, money will be automatically looted.";
L["WarningsText"]                 = "Warnings";
L["WarningsSubText"]              =
  "These options control which warnings are generated.";
L["WarningCurrency"]              = "Currency Maximum";
L["WarningCurrencyTooltip"]       =
  "If enabled, a warning will be displayed when a currency reaches 90% "..
  "or more of its weekly or total maximum.";
L["WarningEquipSetItem"]          = "Equipment Set Item Sold";
L["WarningEquipSetItemTooltip"]   =
  "If enabled, a warning will be displayed when an item is sold that "..
  "belongs to an Equipment Set.";
L["WarningRod"]                   = "Fishing Rod Equipped";
L["WarningRodTooltip"]            =
  "If enabled, a warning will be displayed when entering combat with a "..
  "fishing rod equipped.";
L["WarningLance"]                 = "Lance Equipped";
L["WarningLanceTooltip"]          =
  "If enabled, a warning will be displayed when entering combat with a "..
  "lance equipped.";
L["WarningLowLevelItems"]         = "Low Level Items";
L["WarningLowLevelItemsTooltip"]  =
  "If enabled, a warning will be displayed when entering combat with "..
  "low level items equipped.";
L["WarningNoForm"]                = "No Active %s";
L["WarningNoFormTooltip"]         =
  "If enabled, a warning will be displayed when entering combat with "..
  "no active %s.";
L["WarningPetBattle"]             = "Pet Battle Items";
L["WarningPetBattleTooltip"]      =
  "If enabled, a warning will be displayed when entering a pet battle "..
  "without Pet Battle items equipped.";
L["WarningPetGrowl"]              = "Pet Growl";
L["WarningPetGrowlTooltip"]       =
  "If enabled, a warning will be displayed if any friendly pet growls "..
  "while in a dungeon or raid.";
L["WarningTradeSkillCap"]         = "Trade Skill Capped";
L["WarningTradeSkillCapTooltip"]  =
  "If enabled, a warning will be displayed if a profession is capped "..
  "and a recipe with a skillup is crafted.";
L["LogsText"]                     = "Logs";
L["LogsSubText"]                  =
  "These options control the logging of messages.";
L["LogChat"]                      = "Log Chat";
L["LogChatTooltip"]               =
  "If enabled, the logging of chat messages will be activated upon entering "..
  "the world.";
L["LogCombat"]                    = "Log Combat";
L["LogCombatTooltip"]             =
  "If enabled, the logging of combat messages will be activated upon "..
  "entering the world.";
L["MountsEnabled"]                = "Mounts";
L["MountsEnabledTooltip"]         =
  "If enabled, a random mount from a selected list can be mounted via a "..
  "bound key or a '/click NigglesMount' macro.";
L["MountsClassRace"]              = "Class/Racial Abilities";
L["MountsClassRaceTooltip"]       =
  "If enabled, the selected class or racial abilities will be included "..
  "in the list to randomly choose from."
L["MountsHoliday"]                = "Holiday Mounts";
L["MountsHolidayTooltip"]         =
  "If enabled, holiday mounts will be given priority during their holiday "..
  "period.";
L["MountsNagrandTalbuk"]          = "Nagrand Telaari Talbuk";
L["MountsNagrandTalbukTooltip"]   =
  "If enabled, the Telaari Talbuk will be given priority when in Nagrand "..
  "on Draenor, if available. Druids will be switched to their primary form "..
  "when in Feral or Guardian spec.";
L["PetsEnabled"]                  = "Pets";
L["PetsEnabledTooltip"]           =
  "If enabled, a random pet will be summoned from those selected.";
L["PetsInArea"]                   = "In %s";
L["PetsInAreaTooltip"]            =
  "If enabled, pets will be summoned while you are in %s.";
L["PetsInCities"]                 = "In Cities";
L["PetsInCitiesTooltip"]          =
  "If enabled, pets will be summoned while you are in cities.";
L["PetsInScenarios"]              = "In Scenarios";
L["PetsInScenariosTooltip"]       =
  "If enabled, pets will be summoned while you are in Scenario instances.";
L["PetsInDungeons"]               = "In Dungeons";
L["PetsInDungeonsTooltip"]        =
  "If enabled, pets will be summoned while you are in Dungeon instances.";
L["PetsInRaids"]                  = "In Raids";
L["PetsInRaidsTooltip"]           =
  "If enabled, pets will be summoned while you are in Raid instances.";
L["PetsInArenas"]                 = "In Arenas";
L["PetsInArenasTooltip"]          =
  "If enabled, pets will be summoned while you are in arenas.";
L["PetsInBG"]                     = "In Battlegrounds";
L["PetsInBGTooltip"]              =
  "If enabled, pets will be summoned while you are in battlegrounds.";
L["PetsClearAll"]                 =
  "Are you sure you want to clear all selected pets?";
L["PetsSelectAll"]                =
  "Are you sure you want to select all pets?";
L["MountsText"]                   = "Mounts";
L["MountsSubText"]                =
  "These options control which additional abilities are included "..
  "when choosing a mount."
L["MountRun"]                     = "Run";
L["MountRunTooltip"]              =
  "If checked, this mount can be randomly chosen when a running mount is "..
  "required.";
L["MountFly"]                     = "Fly";
L["MountFlyTooltip"]              =
  "If checked, this mount can be randomly chosen when a flying mount is "..
  "required.";
L["MountSwim"]                    = "Swim";
L["MountSwimTooltip"]             =
  "If checked, this mount can be randomly chosen when a swimming mount is "..
  "required.";
L["MountsClearAll"]               =
  "Are you sure you want to clear all selected mounts?";
L["MountsSelectAll"]              =
  "Are you sure you want to select all mounts?";
L["PetsText"]                     = "Pets";
L["PetsSubText"]                  =
  "These options control the locations in which pets will be summoned.";
L["PetTooltip"]                   =
  "If checked, this pet can be randomly chosen when automatically summoning "..
  "a pet.";
L["CalEventsText"]                = "Calendar Events"
L["CalEventsSubText"]             =
  "These options control which enhancements to the standard Calendar "..
  "Events UI are enabled.";
L["CalEventsList"]                = "Support Calendar Events list.";
L["CalEventsListTooltip"]         =
  "If enabled, a list of player and guild calendar events for the next 28 "..
  "days can be toggled by right-clicking on the Calendar button in the "..
  "Minimap.";
L["CalEventsInvites"]             = "Show the total number of invites.";
L["CalEventsInvitesTooltip"]      =
  "If enabled, the number of invites will be shown in the 'Name' column "..
  "header of the Invites list.";
L["CalEventsRoles"]               = "Show character roles in the Invites list.";
L["CalEventsRolesTooltip"]        =
  "If enabled, the roles that known characters can fulfil will be shown in "..
  "the Invites list.";
L["CalEventsOnline"]              = "Show the online status of guild members.";
L["CalEventsOnlineTooltip"]       =
  "If enabled, the online status of guild members will be shown in the "..
  "Invites list.";
L["ProfGeneralText"]              = "General";
L["ProfGeneralSubText"]           =
  "These options control which enhancements to the standard Trade Skill "..
  "panel are enabled.";
L["ProfGeneralHistory"]           = "Recipe History";
L["ProfGeneralHistoryTooltip"]    =
  "If enabled, Back and Forward buttons are added to the Trade Skill panel "..
  "to allow you to navigate the recent recipe history.";
L["ProfGeneralReagents"]          = "Reagent Links";
L["ProfGeneralReagentsTooltip"]   =
  "If enabled, reagents that can be manufactured by the current profession "..
  "can be clicked to go to their respective recipes.";
L["ProfArchaeologyText"]          = "Archaeology";
L["ProfArchaeologySubText"]       =
  "These options control which enhancements to the standard Archaeology "..
  "panel are enabled.";
L["ProfArchHilite"]               = "Highlight Solvable";
L["ProfArchHiliteTooltip"]        =
  "If enabled, the number of fragments for a race will be highlighted if "..
  "there are sufficient to solve the current artifact.";
L["ProfArchKeystones"]            = "Include Keystones";
L["ProfArchKeystonesTooltip"]     =
  "If enabled, the number of fragments for a race will include any "..
  "available keystones that can be socketed into the current artifact.";
L["ProfArchEnhIcon"]              = "Enhanced Icon";
L["ProfArchEnhIconTooltip"]       =
  "If enabled, the icon in the Artifact page will be enhanced to have a " ..
  "tooltip and be linkable.";
L["ProfArchRClickBack"]           = "Right-click Back";
L["ProfArchRClickBackTooltip"]    =
  "If enabled, right-clicking on the Artifact page will take you back " ..
  "to the Summary page.";
L["ProfArchProgress"]             = "Completed Progress";
L["ProfArchProgressTooltip"]      =
  "If enabled, progress in completing all artifacts or all of the selected " ..
  "race's artifacts will be displayed on the Completed page.";
L["RaidsText"]                    = "Raids";
L["RaidsSubText"]                 =
  "These options control which enhancements to the standard Raid UI "..
  "are enabled.";
L["RaidsAutoLootMethod"]          = "Loot Method";
L["RaidsAutoLootMethodTooltip"]   =
  "If enabled, the loot method will be automatically set.";
L["RaidsAutoLootThold"]           = "Loot Threshold";
L["RaidsAutoLootTholdTooltip"]    =
  "If enabled, the loot threshold will be automatically set.";
L["RaidsAutoPromote"]             = "Raid Assistant Promotion";
L["RaidsAutoPromoteTooltip"]      =
  "If enabled, Raid Assistants will be automatically promoted.";
L["RaidsAssists"]                 = "Raid Assistants";
L["Food"]                         = "Food";
L["Drink"]                        = "Drink";
L["Camouflage"]                   = "Camouflage";
L["Herbouflage"]                  = "Herbouflage";
L["Spirit of Redemption"]         = "Spirit of Redemption";
L["Dun Argol"]                    = "Dun Argol";
L["Throne of Kil'jaeden"]         = "Throne of Kil'jaeden";
L["No suitable mount"]            = "No suitable mounts selected";
L["Fishing Pole"]                 = "Fishing Pole";
L["Fishing Pole Equipped"]        = "Fishing Pole Equipped!";
L["Lance Equipped"]               = "Lance Equipped!";
L["No Form"]                      = "No Active %s!";
L["Low Level Items Equipped"]     = "Low Level Items Equipped!";
L["Empty Equipment Slots"]        = "Empty Equipment Slots!";
L["Pet Growled"]                  = "%s growled!";
L["Trade Skill Capped"]           = "%s Skill Capped!";
L["Trade Skill Near Cap"]         = "%s Near Skill Cap!";
L["FreeForAll"]                   = "Free for All";
L["RoundRobin"]                   = "Round Robin";
L["MasterLooter"]                 = "Master Looter";
L["GroupLoot"]                    = "Group Loot";
L["NeedGreed"]                    = "Need Before Greed";
L["Personal"]                     = "Personal";
L["Archaeology Fragment"]         = "Archaeology Fragment";
L["Shattered Sun Staging Area"]   = "Shattered Sun Staging Area";
L["Isle of Quel'Danas"]           = "Isle of Quel'Danas";
L["Flight Destinations"]          = "Flight Destinations";
L["Crystalsong Forest"]           = "Crystalsong Forest";
L["Transitus Shield, Coldarra"]   = "Transitus Shield, Coldarra";
L["Borean Tundra"]                = "Borean Tundra";
L["Hellfire Peninsula, The Dark Portal, Alliance"]   =
  "Hellfire Peninsula, The Dark Portal, Alliance";
L["Hellfire Peninsula, The Dark Portal, Horde"]   =
  "Hellfire Peninsula, The Dark Portal, Horde";
L["Hellfire Peninsula"]           = "Hellfire Peninsula";
L["The Dark Portal"]              = "The Dark Portal";
L["Eastern Plaguelands"]          = "Eastern Plaguelands";
L["Acherus: The Ebon Hold"]       = "Acherus: The Ebon Hold";
L["Netherstorm"]                  = "Netherstorm";
L["Throne of Kil'jaeden"]         = "Throne of Kil'jaeden";
L["Winterspring"]                 = "Winterspring";
L["Silithus"]                     = "Silithus";
L["Tanaris"]                      = "Tanaris";
L["Un'Goro Crater"]               = "Un'Goro Crater";
L["General"]                      = "General";
L["Search & Auto Loot"]           = "Search & Auto Loot";
L["Warnings & Logs"]              = "Warnings & Logs";
L["Warnings"]                     = "Warnings";
L["Professions"]                  = "Professions";
L["Raids"]                        = "Raids";
L["Auto Loot"]                    = "Auto Loot";
L["AutoLoot"]                     = "AutoLoot";
L["Calendar Events"]              = "Calendar Events";
L["Events"]                       = "Events";
L["Companions"]                   = "Companions";
L["Mounts"]                       = "Mounts";
L["Pets"]                         = "Pets";
L["Dalaran"]                      = "Dalaran";
L["Silvermoon City"]              = "Silvermoon City";
L["The Exodar"]                   = "The Exodar";
L["Azuremyst Isle"]               = "Azuremyst Isle";
L["Weekly"]                       = "Weekly";
L["WeeklyTooltip"]                =
  "Warnings will only be displayed when a currency reaches more than 90% of "..
  "its weekly maximum.";
L["Total"]                        = "Total";
L["TotalTooltip"]                 =
  "Warnings will only be displayed when a currency reaches more than 90% of "..
  "its total maximum.";
L["WeeklyTotal"]                  = "Weekly & Total";
L["WeeklyTotalTooltip"]           =
  "Warnings will be displayed when a currency reaches more than 90% of "..
  "its weekly or total maximum.";
L["Any"]                          = "Any";
L["Tanking"]                      = "Tanking";
L["Healing"]                      = "Healing";
L["Herbouflage"]                  = "Herbouflage";
L["Environment"]                  = "Environment";
L["Only Selected"]                = "Only Selected";
L["Only Usable"]                  = "Only Usable";
L["CurrencyMax"]                  =
  "The following currencies have reached more than 90% of their weekly or "..
  "total maximum:";
L["PetBattleMissingBuffs"]        =
  "The following Pet Battle XP buffs are missing:";
L["PetBattleHealthLoss"]          =
  "Your pets will lose %d%% health if you forfeit.";
L["No Matches"]                   = "No Matches";
L["HeirloomLevelPattern"]         = "^Requires level %d+ to (%d+) %(.*%)$";
L["Presence"]                     = "Presence";
L["Stance"]                       = "Stance";
L["Seal"]                         = "Seal";
L["Form"]                         = "Form";
L["EquipSetItemSold"]             =
  "The item just sold is part of one or more Equipment Sets:";
L["LowLevelItem"]                 = "Low Level Item";
L["PetQualityColourBlind"]        = "PCUREL";
L["Requires Archaeology"]         = "Requires Archaeology";
L["Moderator"]                    = "Moderator";
L["RolePrimary"]                  = "Primary Role";
L["RoleSecondary"]                = "Secondary Role";
L["Character Roles"]              = "Character Roles";
L["FilteredShownHidden"]          = "Filtered: %d shown, %d hidden";
L["FilteredShown"]                = "Filtered: %d shown";
L["CalEventRemove"]               =
  "Are you sure you want to remove %s from this event?";
L["ChooseSpecialization"]         = "Choose a Specialization:";
L["Feign Death"]                  = "Feign Death";
L["Invite All"]                   = "Invite All";
L["Invite to Group"]              = "Invite to Group";
L["Telaari Talbuk"]               = "Telaari Talbuk";
L["PetBandageInBattle"]           =
  "This item is locked because you are in a battle.";
L["PetBandageLocked"]             =
  "This item is locked because this account is logged in multiple times.";
L["PetSafariHatInBattle"]         =
  "This item is locked because you are in a battle.";
L["BuffCastBy"]                   = "|cff00ff00<Cast by %s>|r";

NIGGLES_CLEARALL            = "Clear All";
NIGGLES_SELECTALL           = "Select All";
NIGGLES_CLASSCOLORS         = "Class Colors";
NIGGLES_NAMELABEL           = "Name:";
NIGGLES_CLASSESLABEL        = "Classes:";
NIGGLES_ZONELABEL           = "Zone:";
NIGGLES_LEVELLABEL          = "Level:";
NIGGLES_RANKSLABEL          = "Ranks:";
NIGGLES_NOTELABEL           = "Note:";
NIGGLES_INDEXING            = "Indexing";
NIGGLES_EQUIPSET            = "Equip Set";

function naturalString(value)
  local findStart = nil;
  local findEnd = nil;

  findStart, findEnd = value:find("The ", 1, true);
  if (findStart == 1) then
    return value:sub(findEnd+1);
  else
    return value;
  end
end
